<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:gdk="http://www.ihe.net/gazellecdk"
	xmlns:s="http://jboss.org/schema/seam/taglib"
	xmlns:rich="http://richfaces.org/rich"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:gri="http://java.sun.com/jsf/composite/gri"
	xmlns:g="http://www.ihe.net/gazelle"
	xmlns:a4j="http://richfaces.org/a4j"
	xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
	<ui:define name="body">
		<h:form id="globalForm">
			#{dispGenerationMan.initCDAGEN()}
			<h1>#{messages['net.ihe.gazelle.cdagen.DispensationGeneration']}</h1>
			<gri:panel
				rendered="#{dispGenerationMan.selectedCDAGeneration != null}">
				<f:facet name="header">#{messages['net.ihe.gazelle.cdagen.GeneratedDispensation']}</f:facet>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.PermanentLink']}</ui:define>
					<h:outputLink value="#{dispGenerationMan.currentPermanentLink()}"
						target="_blank">
						#{dispGenerationMan.currentPermanentLink()}
					</h:outputLink>
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.Creator']}</ui:define>
					<h:outputText
						value="#{dispGenerationMan.selectedCDAGeneration.stringCreator()}" />
				</s:decorate>
				<s:decorate template="/layout/display/_display.xhtml">
					<ui:define name="label">#{messages['net.ihe.gazelle.cdagen.DateCreation']}</ui:define>
					<g:date value="#{dispGenerationMan.selectedCDAGeneration.dateCreation}" date="true" time="true" />
				</s:decorate>
				<gri:tabPanel id="tabpaneped">
					<gri:tab head="#{messages['net.ihe.gazelle.cdagen.Prescription']}">
						<s:div id="buttondivep1">
							<a4j:commandButton
								value="#{messages['net.ihe.gazelle.cdagen.ExternalValidation']}"
								id="xvalidButtonpre2"
								styleClass="gzl-btn-blue"
								actionListener="#{dispGenerationMan.validateEPrescription()}"
								oncomplete="jq162('#EPrescResultModal').modal('show');"
								render="EPrescResultModal,messages" />
							<h:selectOneMenu id="valpres1"
								value="#{dispGenerationMan.xmlMetaDataReqForEPresc}"
								rendered="#{dispGenerationMan.selectedCDAGeneration.prescription != null}">
								<f:selectItem itemValue="epSOS - ePrescription - Friendly" />
								<f:selectItem itemValue="epSOS - ePrescription - Pivot" />
							</h:selectOneMenu>
						</s:div>
						<br />
						<h:selectOneRadio value="#{dispGenerationMan.ePViewMode}">
							<f:selectItem
								itemLabel="#{messages['net.ihe.gazelle.cdagen.Xml']}"
								itemValue="xml" />
							<f:selectItem
								itemLabel="#{messages['net.ihe.gazelle.cdagen.Html1']}"
								itemValue="html1" />
							<f:selectItem
								itemLabel="#{messages['net.ihe.gazelle.cdagen.Html2']}"
								itemValue="html2" />
							<a4j:ajax event="change" render="tabpaneped" />
						</h:selectOneRadio>
						<s:div id="epxmlview"
							rendered="#{dispGenerationMan.ePViewMode.equals('xml')}">
							<gdk:insert
								content="#{dispGenerationMan.selectedCDAGeneration.prescription.cdaFileContent}"
								highlight="xml"
								style="overflow:auto; width: 100%; height: 500px;" />
						</s:div>
						<s:div id="ephtmlview"
							rendered="#{dispGenerationMan.ePViewMode.equals('html1')}">
							#{dispGenerationMan.updateEPViewForMessages()}
							<iframe src="dispgenerator/ePview1.seam"
								style="overflow: auto; width: 100%; min-height: 1000px; border-width: 0px;" />
						</s:div>
						<s:div id="ephtml2view"
							rendered="#{dispGenerationMan.ePViewMode.equals('html2')}">
							#{dispGenerationMan.updateEPViewForMessages()}
							<iframe src="dispgenerator/ePview2.seam"
								style="overflow: auto; width: 100%; min-height: 1000px; border-width: 0px;" />
						</s:div>
					</gri:tab>
					<gri:tab head="#{messages['net.ihe.gazelle.Dispensation']}">
						<s:div id="buttondiv">
							<a4j:commandButton
								styleClass="gzl-btn-blue"
								value="#{messages['net.ihe.gazelle.cdagen.ExternalValidation']}"
								id="xvalidButton"
								actionListener="#{dispGenerationMan.validateEDispensation()}"
								oncomplete="jq162('#EDispResultModal').modal('show');"
								render="EDispResultModal,messages" />
							<h:selectOneMenu id="val"
								value="#{dispGenerationMan.xmlMetaDataReqForEDisp}">
								<f:selectItem itemValue="epSOS - eDispensation - Friendly" />
								<f:selectItem itemValue="epSOS - eDispensation - Pivot" />
							</h:selectOneMenu>
						</s:div>
						<br />
						<h:selectOneRadio value="#{dispGenerationMan.eDViewMode}">
							<f:selectItem
								itemLabel="#{messages['net.ihe.gazelle.cdagen.Xml']}"
								itemValue="xml" />
							<f:selectItem
								itemLabel="#{messages['net.ihe.gazelle.cdagen.Html']}"
								itemValue="html" />
							<a4j:ajax event="change" render="tabpaneped" />
						</h:selectOneRadio>
						<s:div id="edxmlview"
							rendered="#{dispGenerationMan.eDViewMode.equals('xml')}">
							<gdk:insert
								content="#{dispGenerationMan.selectedCDAGeneration.dispensation.cdaFileContent}"
								highlight="xml"
								style="overflow:auto; width: 100%; height: 500px;" />
						</s:div>
						<s:div id="edhtmlview"
							rendered="#{dispGenerationMan.eDViewMode.equals('html')}">
							#{dispGenerationMan.updateEDViewForMessages()}
							<iframe src="dispgenerator/eDview1.seam"
								style="overflow: auto; width: 100%; min-height: 1000px; border-width: 0px;" />
						</s:div>
					</gri:tab>
					<gri:tab head="#{messages['net.ihe.gazelle.cdagen.Author_2']}">
						<ui:include src="/patient/showPatient.xhtml">
							<ui:param name="patient"
								value="#{dispGenerationMan.getUserName(dispGenerationMan.selectedCDAGeneration.author)}" />
							<ui:param name="renderHistory" value="false" />
							<ui:param name="renderEncounters" value="false" />
						</ui:include>
					</gri:tab>
				</gri:tabPanel>
			</gri:panel>
		</h:form>
		<!-- detail Result Modal -->
		<gri:popupPanel id="EDispResultModal" width="900" height="600">
			<f:facet name="header">
				<h:outputText
					value="#{messages['net.ihe.gazelle.cdagen.DetailedResult']}" />
			</f:facet>
			<f:facet name="controls">
				<h:graphicImage alt="#{messages['net.ihe.gazelle.cdagen.Close']}"
					value="/img/modal/close.gif" style="cursor:pointer"
					onclick="jq162('#EDispResultModal')}.hide()" />
			</f:facet>
			<s:decorate id="driddecdisp"
				rendered="#{dispGenerationMan.selectedCDAGeneration.dispensation != null}">
				<div style="overflow: auto; width: 880px; height: 560px;">
					<iframe src="dispgenerator/validationResult.seam"
						style="width: 100%; height: 100%; border-width: 0px;" />
				</div>
			</s:decorate>
		</gri:popupPanel>
		<!-- detail Result Modal -->
		<gri:popupPanel id="EPrescResultModal" width="900" height="600">
			<f:facet name="header">
				<h:outputText
					value="#{messages['net.ihe.gazelle.cdagen.DetailedResult']}" />
			</f:facet>
			<f:facet name="controls">
				<h:graphicImage alt="#{messages['net.ihe.gazelle.cdagen.Close']}"
					value="/img/modal/close.gif" style="cursor:pointer"
					onclick="jq162('#EPrescResultModal')}.hide()" />
			</f:facet>
			<s:decorate id="driddecpresc"
				rendered="#{dispGenerationMan.selectedCDAGeneration.prescription != null}">
				<div style="overflow: auto; width: 880px; height: 560px;">
					<iframe src="dispgenerator/validationResult.seam"
						style="width: 100%; height: 100%; border-width: 0px;" />
				</div>
			</s:decorate>
		</gri:popupPanel>
	</ui:define>
</ui:composition>
